import { InjectionToken, Provider } from '@angular/core';
export interface NgProgressRefOptions {
    max?: number;
    min?: number;
    speed?: number;
    trickleSpeed?: number;
    fadeOutSpeed?: number;
    trickleFunc?: (n: number) => number;
    debounceTime?: number;
}
export type NgProgressOptions = NgProgressRefOptions & {
    spinnerPosition?: 'left' | 'right';
    direction?: 'ltr+' | 'ltr-' | 'rtl+' | 'rtl-';
    relative?: boolean;
    flat?: boolean;
    spinner?: boolean;
};
export declare const NG_PROGRESS_OPTIONS: InjectionToken<NgProgressOptions>;
export declare function provideNgProgressOptions(options: NgProgressOptions): Provider;
